io.vertx.rxjava3

## Class FlowableHelper

- java.lang.Object
- - io.vertx.rxjava3.FlowableHelper

-     public class FlowableHelper
      extends Object

  Author:
    Julien Viet

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `FlowableHelper()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static <T> Flowable<T>` | `toFlowable(ReadStream<T> stream)` Adapts a Vert.x `ReadStream` to an RxJava `Flowable`.
    `static <T,U> Flowable<U>` | `toFlowable(ReadStream<T> stream, java.util.function.Function<T,U> mapping)` Like `toFlowable(ReadStream)` but with a `mapping` function
    `static <T> Flowable<T>` | `toFlowable(ReadStream<T> stream, long maxBufferSize)` Adapts a Vert.x `ReadStream` to an RxJava `Flowable`.
    `static <T> ReadStream<T>` | `toReadStream(Flowable<T> observable)` Adapts an RxJava `Flowable` to a Vert.x `io.vertx.core.streams.ReadStream`.
    `static <T> FlowableTransformer<Buffer,T>` | `unmarshaller(Class<T> mappedType)`
    `static <T> FlowableTransformer<Buffer,T>` | `unmarshaller(Class<T> mappedType, ObjectCodec mapper)`
    `static <T> FlowableTransformer<Buffer,T>` | `unmarshaller(TypeReference<T> mappedTypeRef)`
    `static <T> FlowableTransformer<Buffer,T>` | `unmarshaller(TypeReference<T> mappedTypeRef, ObjectCodec mapper)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### FlowableHelper

          public FlowableHelper()

  - ### Method Detail

    - #### toReadStream

          public static <T> ReadStream<T> toReadStream(Flowable<T> observable)

      Adapts an RxJava `Flowable` to a Vert.x `io.vertx.core.streams.ReadStream`. The returned readstream will be subscribed to the `Flowable`.

      Parameters:
        `observable` - the observable to adapt
      Returns:
        the adapted stream

    - #### toFlowable

          public static <T,U> Flowable<U> toFlowable(ReadStream<T> stream,
                                                     java.util.function.Function<T,U> mapping)

      Like `toFlowable(ReadStream)` but with a `mapping` function

    - #### toFlowable

          public static <T> Flowable<T> toFlowable(ReadStream<T> stream)

      Adapts a Vert.x `ReadStream` to an RxJava `Flowable`. After the stream is adapted to a flowable, the original stream handlers should not be used anymore as they will be used by the flowable adapter.

      Parameters:
        `stream` - the stream to adapt
      Returns:
        the adapted observable

    - #### toFlowable

          public static <T> Flowable<T> toFlowable(ReadStream<T> stream,
                                                   long maxBufferSize)

      Adapts a Vert.x `ReadStream` to an RxJava `Flowable`. After the stream is adapted to a flowable, the original stream handlers should not be used anymore as they will be used by the flowable adapter.

      Parameters:
        `stream` - the stream to adapt
      Returns:
        the adapted observable

    - #### unmarshaller

          public static <T> FlowableTransformer<Buffer,T> unmarshaller(Class<T> mappedType)

    - #### unmarshaller

          public static <T> FlowableTransformer<Buffer,T> unmarshaller(TypeReference<T> mappedTypeRef)

    - #### unmarshaller

          public static <T> FlowableTransformer<Buffer,T> unmarshaller(Class<T> mappedType,
                                                                       ObjectCodec mapper)

    - #### unmarshaller

          public static <T> FlowableTransformer<Buffer,T> unmarshaller(TypeReference<T> mappedTypeRef,
                                                                       ObjectCodec mapper)

Copyright © 2021 Eclipse. All rights reserved.